Bug 22687 - Typo in Koha::Manual breaks Portuguese links
Summary: Typo in Koha::Manual breaks Portuguese links
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Documentation (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Martin Renvoize
QA Contact: Josef Moravec
URL:
Keywords:
Depends on: 19817
Blocks:
  Show dependency treegraph
 
Reported: 2019-04-11 09:30 UTC by Martin Renvoize
Modified: 2019-10-14 20:03 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.05.00, 18.11.05


Attachments
Bug 22687: Typo correction for Portuguese manual link (853 bytes, patch)
2019-04-11 09:33 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22687: Typo correction for Portuguese manual link (913 bytes, patch)
2019-04-18 00:07 UTC, Hayley Mapley
Details | Diff | Splinter Review
Bug 22687: Typo correction for Portuguese manual link (969 bytes, patch)
2019-04-18 11:24 UTC, Josef Moravec
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Renvoize 2019-04-11 09:30:13 UTC
Quoting Humberto Chula

Setting KohaManualBaseURL to https://koha-community.org/manual and 
using user interface language pt~PT, the help link is redirected (for example) to https://koha-community.org/manual/18.11/pt_BZ/html/systempreferences.html displaying an error page.

I guess its related with a typo on line 22 in the file Manual.pm 
22    my @available_languages = qw( en ar cs es fr it pt_BZ tz zh_TW );

Tested replacing the value pt_BZ by pt_BR and the link now works.
Comment 1 Martin Renvoize 2019-04-11 09:33:46 UTC
Created attachment 87755 [details] [review]
Bug 22687: Typo correction for Portuguese manual link

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 2 Hayley Mapley 2019-04-18 00:07:08 UTC
Created attachment 88244 [details] [review]
Bug 22687: Typo correction for Portuguese manual link

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Signed-off-by: Hayley Mapley <hayleymapley@catalyst.net.nz>
Comment 3 Josef Moravec 2019-04-18 11:24:58 UTC
Created attachment 88287 [details] [review]
Bug 22687: Typo correction for Portuguese manual link

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Signed-off-by: Hayley Mapley <hayleymapley@catalyst.net.nz>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 4 Nick Clemens 2019-04-19 14:56:33 UTC
Awesome work all!

Pushed to master for 19.05
Comment 5 Martin Renvoize 2019-04-26 14:37:05 UTC
Pushed to 18.11.x for 18.11.05